%define upstream_name XMLRPC-Lite
%define upstream_version 0.717

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Client and server implementation of XML-RPC protocol
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/XMLRPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(SOAP::Lite)

BuildArch:	noarch

%description
XMLRPC::Lite is a Perl modules which provides a simple interface to the
XML-RPC protocol both on client and server side. Based on SOAP::Lite
module, it gives you access to all features and transports available in
that module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.717.0-2.mga4
+ Revision: 532357
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 sander85 <sander85> 0.717.0-1.mga4
+ Revision: 468013
- imported package perl-XMLRPC-Lite

